#include<stdio.h>
#include<stdlib.h>
#include<math.h>
main()
{
	int p,q,r,br=0;
	long long int L,R,N;
	scanf("%d %d %d %lli %lli",&p,&q,&r,&L,&R);
	for(N=L;N<=R;N++)
	{
		if(ceil((float)N/(float)p)+ceil((float)N/(float)q)+ceil((float)N/(float)r)<=N)
		{
			br++;
		}
	}
	printf("%d",br);
}